package gui;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.border.*;


// Canvas-Klasse und Main-Methode auslagern

public class MyFrame extends JFrame implements ActionListener ,ChangeListener{

	private JPanel main, p1, p2, p3, p4 ,p5 ,p6;
	private MyCanvas c1;
	private JButton b1, b2, b3, b4, b5, b6;
	private JSlider s1, s2;
	private int x1 ,x2 ,x3 ,x4 ,b;

	public MyFrame() {

		super("RandomFields");
		this.addWindowListener(
			new WindowAdapter() {
				public void windowClosing(WindowEvent event) {
					System.exit(0);
				}
			}
		);

		b1 = new JButton("Random Token Field");
		b1.addActionListener(this);

		b2 = new JButton("Boolesches Feld");
		b2.addActionListener(this);

		b3 = new JButton("Gauss'sches Feld");
		b3.addActionListener(this);
		
		b6 = new JButton("Dead Leaves");
		b6.addActionListener(this);

		b4 = new JButton("clear");
		b4.addActionListener(this);

		b5 = new JButton("GO!");
		b5.addActionListener(this);

		c1 = new MyCanvas(x1,x2,0);
		c1.setSize(800,400);
		c1.setBackground(Color.white);
		c1.setVisible(true);

		s1 = new JSlider(JSlider.VERTICAL,0,100,100);
		s1.setValue(10);
		s1.setMinorTickSpacing(5);
		s1.setMajorTickSpacing(10);
		s1.setPaintTicks(true);
		s1.setPaintLabels(true);
		s1.addChangeListener(this);

		s2 = new JSlider(JSlider.VERTICAL,0,100,100);
		s2.setValue(20);
		s2.setMinorTickSpacing(5);
		s2.setMajorTickSpacing(10);
		s2.setPaintTicks(true);
		s2.setPaintLabels(true);
		s2.addChangeListener(this);

		p3 = new JPanel();
		p3.setLayout(new GridLayout(2,2));
		p3.setBackground(Color.black);
		p3.add(b1);
		p3.add(b2);
		p3.add(b3);
		p3.add(b6);

		p4 = new JPanel();
		p4.setBackground(Color.black);
		p4.add(b4);
		p4.add(b5);

		p5 = new JPanel();
 		p5.setBorder(new TitledBorder(new EtchedBorder(), "Density"));
		p5.add(s1);

		p6 = new JPanel();
		p6.setBorder(new TitledBorder(new EtchedBorder(), "Grsse"));
		p6.add(s2);


		p1 = new JPanel();
		p1.setLayout(new GridLayout(2,2));
		p1.setBackground(Color.white);
		p1.add(p3);
		p1.add(p4);

		p2 = new JPanel();
		p2.setBackground(Color.lightGray);
		p2.add(c1);

		main = new JPanel();
        main.setLayout(new FlowLayout());
/*        main.add(p1, "South");
        main.add(p2, "Center");
        main.add(p5, "East");
        main.add(p6, "West");*/
        main.add(p5);
        main.add(p2);
        main.add(p6);
        main.add(p1);
		getContentPane().add(main);
		//b = 0;
		pack();
	}

	public void stateChanged(ChangeEvent e) {
		if (e.getSource() == s1) {
		   System.out.println("s1=" + s1.getValue());
					 }
		if (e.getSource() == s2) {
		   System.out.println("s2=" + s2.getValue());
					 }
						}

	public void actionPerformed(ActionEvent e) {
		if (e.getSource() == b1) {				//Dead Leaves mit Quadraten(7x7)
			System.out.println("Random");
			b = 1;
			c1.setValue(0,0,b);
			c1.repaint();
		}
		if (e.getSource() == b2) {
			System.out.println("Boolesches");		//Hier wird exp(-x) draufge"mapt"
			b = 2;
			c1.setValue(0,0,b);
			c1.repaint();
		}
		if (e.getSource() == b3) {
			System.out.println("Gauss'sches");
 			p5.setBorder(new TitledBorder(new EtchedBorder(), "Nichts"));		//p5=s1=density
			p6.setBorder(new TitledBorder(new EtchedBorder(), "|a|"));
			if (x1==0){
 				p5.setBorder(new TitledBorder(new EtchedBorder(), "sigma^2"));
			}
			b = 3;
			c1.setValue(0,0,b);
			c1.repaint();
		}
		if (e.getSource() == b6) {
			c1.setBackground(Color.red);
			System.out.println("Dead Leaves");
			p6.setBorder(new TitledBorder(new EtchedBorder(), "Nichts"));
			b = 6;
			c1.setValue(0,0,b);
			c1.repaint();
		}
		if (e.getSource() == b4) {
			c1.setBackground(Color.white);
			System.out.println("Clear");
			b = 0;
			c1.setValue(0,0,b);
			c1.repaint();
		}
		if (e.getSource() == b5) {
			System.out.println("Go!");
			x1 = s1.getValue();
			x2 = s2.getValue();
			//x2 = (int)(x2)/2;
			c1.setValue(x1,x2,b);
			c1.repaint();
		}
	}

}
